<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: xAPI_Definitions_Parser.Code.Python.PythonSerializer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code.html">Code</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_python.html">Python</a></li><li class="navelem"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html">PythonSerializer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser.Code.Python.PythonSerializer Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Serializes <a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_python.html">Python</a> source code out of a syntax tree  
 <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for xAPI_Definitions_Parser.Code.Python.PythonSerializer:</div>
<div class="dyncontent">
<div class="center"><img src="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer__inherit__graph.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_code_8_python_8_python_serializer_inherit__map" alt="Inheritance graph"/></div>
<map name="ax_a_p_i___definitions___parser_8_code_8_python_8_python_serializer_inherit__map" id="ax_a_p_i___definitions___parser_8_code_8_python_8_python_serializer_inherit__map">
<area shape="rect" title="Serializes Python source code out of a syntax tree" alt="" coords="5,80,201,121"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html" title="Serializes source code out of a syntax tree" alt="" coords="32,5,175,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for xAPI_Definitions_Parser.Code.Python.PythonSerializer:</div>
<div class="dyncontent">
<div class="center"><img src="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer__coll__graph.png" border="0" usemap="#ax_a_p_i___definitions___parser_8_code_8_python_8_python_serializer_coll__map" alt="Collaboration graph"/></div>
<map name="ax_a_p_i___definitions___parser_8_code_8_python_8_python_serializer_coll__map" id="ax_a_p_i___definitions___parser_8_code_8_python_8_python_serializer_coll__map">
<area shape="rect" title="Serializes Python source code out of a syntax tree" alt="" coords="5,80,201,121"/>
<area shape="rect" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html" title="Serializes source code out of a syntax tree" alt="" coords="32,5,175,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae2683aa184e96ab0461dae576be8b831"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#ae2683aa184e96ab0461dae576be8b831">DictionaryToString</a> (IDictionary&lt; string, string &gt; dict, int indentDepth)</td></tr>
<tr class="memdesc:ae2683aa184e96ab0461dae576be8b831"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a dictionary  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#ae2683aa184e96ab0461dae576be8b831">More...</a><br /></td></tr>
<tr class="separator:ae2683aa184e96ab0461dae576be8b831"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68f4b366b736d82339488e9b380f7998"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#a68f4b366b736d82339488e9b380f7998">RootToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html">Root</a> root)</td></tr>
<tr class="memdesc:a68f4b366b736d82339488e9b380f7998"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a root  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#a68f4b366b736d82339488e9b380f7998">More...</a><br /></td></tr>
<tr class="separator:a68f4b366b736d82339488e9b380f7998"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fd4bbcb520765399f50001211d16961"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#a9fd4bbcb520765399f50001211d16961">NullToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_null.html">Null</a> n)</td></tr>
<tr class="memdesc:a9fd4bbcb520765399f50001211d16961"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a Null  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#a9fd4bbcb520765399f50001211d16961">More...</a><br /></td></tr>
<tr class="separator:a9fd4bbcb520765399f50001211d16961"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6819f6a26baa236b3252c2fc3ed021c1"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a6819f6a26baa236b3252c2fc3ed021c1">DictionaryToString</a> (IDictionary&lt; string, string &gt; dict, int indentDepth)</td></tr>
<tr class="memdesc:a6819f6a26baa236b3252c2fc3ed021c1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a dictionary  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a6819f6a26baa236b3252c2fc3ed021c1">More...</a><br /></td></tr>
<tr class="separator:a6819f6a26baa236b3252c2fc3ed021c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a701763ecf1f76561e743fda91cc718"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a5a701763ecf1f76561e743fda91cc718">RootToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html">Root</a> root)</td></tr>
<tr class="memdesc:a5a701763ecf1f76561e743fda91cc718"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a root  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a5a701763ecf1f76561e743fda91cc718">More...</a><br /></td></tr>
<tr class="separator:a5a701763ecf1f76561e743fda91cc718"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb4c7ec69ee34db3696f32c12282acb9"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#afb4c7ec69ee34db3696f32c12282acb9">NullToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_null.html">Null</a> n)</td></tr>
<tr class="memdesc:afb4c7ec69ee34db3696f32c12282acb9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a Null  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#afb4c7ec69ee34db3696f32c12282acb9">More...</a><br /></td></tr>
<tr class="separator:afb4c7ec69ee34db3696f32c12282acb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:ad97ed9352943e7470295a2400cf18d12"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#ad97ed9352943e7470295a2400cf18d12">ImportToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html">Import</a> import, int indentDepth)</td></tr>
<tr class="memdesc:ad97ed9352943e7470295a2400cf18d12"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes an import  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#ad97ed9352943e7470295a2400cf18d12">More...</a><br /></td></tr>
<tr class="separator:ad97ed9352943e7470295a2400cf18d12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ea4bb57e38ca1203269728cdb0f239c"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#a5ea4bb57e38ca1203269728cdb0f239c">ClassToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a> cls, int indentDepth)</td></tr>
<tr class="memdesc:a5ea4bb57e38ca1203269728cdb0f239c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a class  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#a5ea4bb57e38ca1203269728cdb0f239c">More...</a><br /></td></tr>
<tr class="separator:a5ea4bb57e38ca1203269728cdb0f239c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a934d3e3a3ecf1deaef2977c16a0a49f9"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#a934d3e3a3ecf1deaef2977c16a0a49f9">GetablePropertyToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a> property, int indentDepth)</td></tr>
<tr class="memdesc:a934d3e3a3ecf1deaef2977c16a0a49f9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a getable property  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#a934d3e3a3ecf1deaef2977c16a0a49f9">More...</a><br /></td></tr>
<tr class="separator:a934d3e3a3ecf1deaef2977c16a0a49f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af58c103e694dbfbd1f03238631b386dc"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#af58c103e694dbfbd1f03238631b386dc">PropertyToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a> property, int indentDepth)</td></tr>
<tr class="memdesc:af58c103e694dbfbd1f03238631b386dc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a property  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#af58c103e694dbfbd1f03238631b386dc">More...</a><br /></td></tr>
<tr class="separator:af58c103e694dbfbd1f03238631b386dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a357ab2f1163c6ec2a604a391ffc2ccd2"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#a357ab2f1163c6ec2a604a391ffc2ccd2">ConstructorToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a> constructor, int indentDepth)</td></tr>
<tr class="memdesc:a357ab2f1163c6ec2a604a391ffc2ccd2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a constructor  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#a357ab2f1163c6ec2a604a391ffc2ccd2">More...</a><br /></td></tr>
<tr class="separator:a357ab2f1163c6ec2a604a391ffc2ccd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0720e3d2085b5d5fcd81eaed027d5b7e"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#a0720e3d2085b5d5fcd81eaed027d5b7e">MethodToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a> method, int indentDepth)</td></tr>
<tr class="memdesc:a0720e3d2085b5d5fcd81eaed027d5b7e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a method  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#a0720e3d2085b5d5fcd81eaed027d5b7e">More...</a><br /></td></tr>
<tr class="separator:a0720e3d2085b5d5fcd81eaed027d5b7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c62d42e8e3243b8f53e952b104b286a"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#a6c62d42e8e3243b8f53e952b104b286a">ArgumentsToString</a> (IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a> &gt; args, int indentDepth, bool newLines=false, bool withName=false)</td></tr>
<tr class="memdesc:a6c62d42e8e3243b8f53e952b104b286a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a list of arguments  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#a6c62d42e8e3243b8f53e952b104b286a">More...</a><br /></td></tr>
<tr class="separator:a6c62d42e8e3243b8f53e952b104b286a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08b6afb0800b063cb7882abcd4e79049"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#a08b6afb0800b063cb7882abcd4e79049">ParametersToString</a> (IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a> &gt; parameters)</td></tr>
<tr class="memdesc:a08b6afb0800b063cb7882abcd4e79049"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a list of parameters  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#a08b6afb0800b063cb7882abcd4e79049">More...</a><br /></td></tr>
<tr class="separator:a08b6afb0800b063cb7882abcd4e79049"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9e620caec530dd44d4329972862775a"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#aa9e620caec530dd44d4329972862775a">PropertyCommentToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a> property, int indentDepth)</td></tr>
<tr class="memdesc:aa9e620caec530dd44d4329972862775a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a property comment  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#aa9e620caec530dd44d4329972862775a">More...</a><br /></td></tr>
<tr class="separator:aa9e620caec530dd44d4329972862775a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c08fec67d2a822091c1bf3a42a1c3aa"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#a3c08fec67d2a822091c1bf3a42a1c3aa">CommentToString</a> (string comment, int indentDepth)</td></tr>
<tr class="memdesc:a3c08fec67d2a822091c1bf3a42a1c3aa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a comment  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#a3c08fec67d2a822091c1bf3a42a1c3aa">More...</a><br /></td></tr>
<tr class="separator:a3c08fec67d2a822091c1bf3a42a1c3aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a></td></tr>
<tr class="memitem:a8a758c7bfee87624656fbed9b49e61ac inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a8a758c7bfee87624656fbed9b49e61ac">ModifiersToString</a> (IReadOnlyList&lt; <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a> &gt; modifiers)</td></tr>
<tr class="memdesc:a8a758c7bfee87624656fbed9b49e61ac inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a list of modifiers  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a8a758c7bfee87624656fbed9b49e61ac">More...</a><br /></td></tr>
<tr class="separator:a8a758c7bfee87624656fbed9b49e61ac inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f67f04695515c3eff4e6c32f9065c00 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a2f67f04695515c3eff4e6c32f9065c00">ClassContentsToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a> cls, int indentDepth)</td></tr>
<tr class="memdesc:a2f67f04695515c3eff4e6c32f9065c00 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a class  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a2f67f04695515c3eff4e6c32f9065c00">More...</a><br /></td></tr>
<tr class="separator:a2f67f04695515c3eff4e6c32f9065c00 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab31658640e1e6238134913bf32330c45 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#ab31658640e1e6238134913bf32330c45">PropertiesToString</a> (IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a> &gt; properties, int indentDepth)</td></tr>
<tr class="memdesc:ab31658640e1e6238134913bf32330c45 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes properties  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#ab31658640e1e6238134913bf32330c45">More...</a><br /></td></tr>
<tr class="separator:ab31658640e1e6238134913bf32330c45 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75509e47eca1ec9d4225a9bb08eaa86d inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a75509e47eca1ec9d4225a9bb08eaa86d">ConstructorsToString</a> (IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a> &gt; constructors, int indentDepth)</td></tr>
<tr class="memdesc:a75509e47eca1ec9d4225a9bb08eaa86d inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes constructors  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a75509e47eca1ec9d4225a9bb08eaa86d">More...</a><br /></td></tr>
<tr class="separator:a75509e47eca1ec9d4225a9bb08eaa86d inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bb52a2076ccf87008a9ac93534db6e5 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a3bb52a2076ccf87008a9ac93534db6e5">GetablePropertiesToString</a> (IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a> &gt; properties, int indentDepth)</td></tr>
<tr class="memdesc:a3bb52a2076ccf87008a9ac93534db6e5 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes getable properties  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a3bb52a2076ccf87008a9ac93534db6e5">More...</a><br /></td></tr>
<tr class="separator:a3bb52a2076ccf87008a9ac93534db6e5 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ee565d5126667f3b16289790959ff6d inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a9ee565d5126667f3b16289790959ff6d">MethodsToString</a> (IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a> &gt; methods, int indentDepth)</td></tr>
<tr class="memdesc:a9ee565d5126667f3b16289790959ff6d inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes methods  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a9ee565d5126667f3b16289790959ff6d">More...</a><br /></td></tr>
<tr class="separator:a9ee565d5126667f3b16289790959ff6d inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b1ec03636b8fe9ca80d3418d4505500 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a8b1ec03636b8fe9ca80d3418d4505500">ImportToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html">Import</a> import, int indentDepth)</td></tr>
<tr class="memdesc:a8b1ec03636b8fe9ca80d3418d4505500 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes an import  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a8b1ec03636b8fe9ca80d3418d4505500">More...</a><br /></td></tr>
<tr class="separator:a8b1ec03636b8fe9ca80d3418d4505500 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a206fb563116a4f6bddfa9344573b1ad2 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a206fb563116a4f6bddfa9344573b1ad2">ClassToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a> cls, int indentDepth)</td></tr>
<tr class="memdesc:a206fb563116a4f6bddfa9344573b1ad2 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a class  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a206fb563116a4f6bddfa9344573b1ad2">More...</a><br /></td></tr>
<tr class="separator:a206fb563116a4f6bddfa9344573b1ad2 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e987307081ec82773aaeb29b0a57902 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a5e987307081ec82773aaeb29b0a57902">GetablePropertyToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a> property, int indentDepth)</td></tr>
<tr class="memdesc:a5e987307081ec82773aaeb29b0a57902 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a getable property  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a5e987307081ec82773aaeb29b0a57902">More...</a><br /></td></tr>
<tr class="separator:a5e987307081ec82773aaeb29b0a57902 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac273cc23dbbcf944493ed0c12d0d3418 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#ac273cc23dbbcf944493ed0c12d0d3418">PropertyToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a> property, int indentDepth)</td></tr>
<tr class="memdesc:ac273cc23dbbcf944493ed0c12d0d3418 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a property  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#ac273cc23dbbcf944493ed0c12d0d3418">More...</a><br /></td></tr>
<tr class="separator:ac273cc23dbbcf944493ed0c12d0d3418 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76950380d9ff5511bdbac078eebcf8a6 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a76950380d9ff5511bdbac078eebcf8a6">ConstructorToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a> constructor, int indentDepth)</td></tr>
<tr class="memdesc:a76950380d9ff5511bdbac078eebcf8a6 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a constructor  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a76950380d9ff5511bdbac078eebcf8a6">More...</a><br /></td></tr>
<tr class="separator:a76950380d9ff5511bdbac078eebcf8a6 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a097233fc6fca6514aeddb7eeb58028f7 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a097233fc6fca6514aeddb7eeb58028f7">MethodToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a> method, int indentDepth)</td></tr>
<tr class="memdesc:a097233fc6fca6514aeddb7eeb58028f7 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a method  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a097233fc6fca6514aeddb7eeb58028f7">More...</a><br /></td></tr>
<tr class="separator:a097233fc6fca6514aeddb7eeb58028f7 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a42781946d67c4d742ec3efc94734fa inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a8a42781946d67c4d742ec3efc94734fa">ArgumentsToString</a> (IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a> &gt; args, int indentDepth, bool newLines=default, bool withName=default)</td></tr>
<tr class="memdesc:a8a42781946d67c4d742ec3efc94734fa inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a list of arguments  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a8a42781946d67c4d742ec3efc94734fa">More...</a><br /></td></tr>
<tr class="separator:a8a42781946d67c4d742ec3efc94734fa inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51eae5a3df3aa325cda85733475f687e inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a51eae5a3df3aa325cda85733475f687e">ParametersToString</a> (IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a> &gt; parameters)</td></tr>
<tr class="memdesc:a51eae5a3df3aa325cda85733475f687e inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a list of parameters  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a51eae5a3df3aa325cda85733475f687e">More...</a><br /></td></tr>
<tr class="separator:a51eae5a3df3aa325cda85733475f687e inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3654f10c0aa0984d4938469fc6da2a7 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#ac3654f10c0aa0984d4938469fc6da2a7">PropertyCommentToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a> property, int indentDepth)</td></tr>
<tr class="memdesc:ac3654f10c0aa0984d4938469fc6da2a7 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a property comment  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#ac3654f10c0aa0984d4938469fc6da2a7">More...</a><br /></td></tr>
<tr class="separator:ac3654f10c0aa0984d4938469fc6da2a7 inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a408d4d8751db80de50b91d279afabceb inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a408d4d8751db80de50b91d279afabceb">CommentToString</a> (string comment, int indentDepth)</td></tr>
<tr class="memdesc:a408d4d8751db80de50b91d279afabceb inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a comment  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a408d4d8751db80de50b91d279afabceb">More...</a><br /></td></tr>
<tr class="separator:a408d4d8751db80de50b91d279afabceb inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2764b1a0d9ef3d2f29792deb3b1ecf0a inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a2764b1a0d9ef3d2f29792deb3b1ecf0a">MethodBodyToString</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html">MethodBody</a> body, int indentDepth)</td></tr>
<tr class="memdesc:a2764b1a0d9ef3d2f29792deb3b1ecf0a inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serializes a method body  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a2764b1a0d9ef3d2f29792deb3b1ecf0a">More...</a><br /></td></tr>
<tr class="separator:a2764b1a0d9ef3d2f29792deb3b1ecf0a inherit pro_methods_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a8e5d796f3964441fa3d572d724815cc9"><td class="memItemLeft" align="right" valign="top">override IDictionary&lt; <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a>, string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#a8e5d796f3964441fa3d572d724815cc9">Modifiers</a><code> [get]</code></td></tr>
<tr class="separator:a8e5d796f3964441fa3d572d724815cc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header properties_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td colspan="2" onclick="javascript:toggleInherit('properties_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer')"><img src="closed.png" alt="-"/>&#160;Properties inherited from <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a></td></tr>
<tr class="memitem:af07b5e9989a9844d407a957e86c42b9d inherit properties_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memItemLeft" align="right" valign="top">abstract IDictionary&lt; <a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a>, string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#af07b5e9989a9844d407a957e86c42b9d">Modifiers</a><code> [get]</code></td></tr>
<tr class="separator:af07b5e9989a9844d407a957e86c42b9d inherit properties_classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Serializes <a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_python.html">Python</a> source code out of a syntax tree </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a6c62d42e8e3243b8f53e952b104b286a" name="a6c62d42e8e3243b8f53e952b104b286a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c62d42e8e3243b8f53e952b104b286a">&#9670;&nbsp;</a></span>ArgumentsToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.Python.PythonSerializer.ArgumentsToString </td>
          <td>(</td>
          <td class="paramtype">IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a> &gt;&#160;</td>
          <td class="paramname"><em>args</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indentDepth</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>newLines</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>withName</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a list of arguments </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">args</td><td>Arguments</td></tr>
    <tr><td class="paramname">indentDepth</td><td>Indentation depth to use in serialization</td></tr>
    <tr><td class="paramname">newLines</td><td>Should every argument be in its own line</td></tr>
    <tr><td class="paramname">withName</td><td>Should the name be included in the arguments list (i.e. "name: value")</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized arguments string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a8a42781946d67c4d742ec3efc94734fa">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="a5ea4bb57e38ca1203269728cdb0f239c" name="a5ea4bb57e38ca1203269728cdb0f239c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ea4bb57e38ca1203269728cdb0f239c">&#9670;&nbsp;</a></span>ClassToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.Python.PythonSerializer.ClassToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html">Class</a>&#160;</td>
          <td class="paramname"><em>cls</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indentDepth</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a class </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">cls</td><td>Class</td></tr>
    <tr><td class="paramname">indentDepth</td><td>Indentation depth to use in serialization</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized class string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a206fb563116a4f6bddfa9344573b1ad2">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="a3c08fec67d2a822091c1bf3a42a1c3aa" name="a3c08fec67d2a822091c1bf3a42a1c3aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c08fec67d2a822091c1bf3a42a1c3aa">&#9670;&nbsp;</a></span>CommentToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.Python.PythonSerializer.CommentToString </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>comment</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indentDepth</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a comment </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">comment</td><td>Comment</td></tr>
    <tr><td class="paramname">indentDepth</td><td>Indentation depth to use in serialization</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized comment string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a408d4d8751db80de50b91d279afabceb">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="a357ab2f1163c6ec2a604a391ffc2ccd2" name="a357ab2f1163c6ec2a604a391ffc2ccd2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a357ab2f1163c6ec2a604a391ffc2ccd2">&#9670;&nbsp;</a></span>ConstructorToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.Python.PythonSerializer.ConstructorToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html">Constructor</a>&#160;</td>
          <td class="paramname"><em>constructor</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indentDepth</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a constructor </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">constructor</td><td>Constructor</td></tr>
    <tr><td class="paramname">indentDepth</td><td>Indentation depth to use in serialization</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized constructor string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a76950380d9ff5511bdbac078eebcf8a6">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="ae2683aa184e96ab0461dae576be8b831" name="ae2683aa184e96ab0461dae576be8b831"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2683aa184e96ab0461dae576be8b831">&#9670;&nbsp;</a></span>DictionaryToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.Python.PythonSerializer.DictionaryToString </td>
          <td>(</td>
          <td class="paramtype">IDictionary&lt; string, string &gt;&#160;</td>
          <td class="paramname"><em>dict</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indentDepth</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a dictionary </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dict</td><td>Dictionary</td></tr>
    <tr><td class="paramname">indentDepth</td><td>Indentation depth to use in serialization</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized dictionary string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a6819f6a26baa236b3252c2fc3ed021c1">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="a934d3e3a3ecf1deaef2977c16a0a49f9" name="a934d3e3a3ecf1deaef2977c16a0a49f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a934d3e3a3ecf1deaef2977c16a0a49f9">&#9670;&nbsp;</a></span>GetablePropertyToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.Python.PythonSerializer.GetablePropertyToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a>&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indentDepth</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a getable property </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>Property</td></tr>
    <tr><td class="paramname">indentDepth</td><td>Indentation depth to use in serialization</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized getable property string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a5e987307081ec82773aaeb29b0a57902">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="ad97ed9352943e7470295a2400cf18d12" name="ad97ed9352943e7470295a2400cf18d12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad97ed9352943e7470295a2400cf18d12">&#9670;&nbsp;</a></span>ImportToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.Python.PythonSerializer.ImportToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html">Import</a>&#160;</td>
          <td class="paramname"><em>import</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indentDepth</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes an import </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">import</td><td>Import</td></tr>
    <tr><td class="paramname">indentDepth</td><td>Indentation depth to use in serialization</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized import string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a8b1ec03636b8fe9ca80d3418d4505500">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="a0720e3d2085b5d5fcd81eaed027d5b7e" name="a0720e3d2085b5d5fcd81eaed027d5b7e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0720e3d2085b5d5fcd81eaed027d5b7e">&#9670;&nbsp;</a></span>MethodToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.Python.PythonSerializer.MethodToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html">Method</a>&#160;</td>
          <td class="paramname"><em>method</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indentDepth</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a method </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">method</td><td>Method</td></tr>
    <tr><td class="paramname">indentDepth</td><td>Indentation depth to use in serialization</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized method string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a097233fc6fca6514aeddb7eeb58028f7">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="a9fd4bbcb520765399f50001211d16961" name="a9fd4bbcb520765399f50001211d16961"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9fd4bbcb520765399f50001211d16961">&#9670;&nbsp;</a></span>NullToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.Python.PythonSerializer.NullToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_null.html">Null</a>&#160;</td>
          <td class="paramname"><em>n</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a Null </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">n</td><td>Null</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized null string</dd></dl>

<p>Reimplemented from <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#afb4c7ec69ee34db3696f32c12282acb9">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="a08b6afb0800b063cb7882abcd4e79049" name="a08b6afb0800b063cb7882abcd4e79049"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08b6afb0800b063cb7882abcd4e79049">&#9670;&nbsp;</a></span>ParametersToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.Python.PythonSerializer.ParametersToString </td>
          <td>(</td>
          <td class="paramtype">IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html">Parameter</a> &gt;&#160;</td>
          <td class="paramname"><em>parameters</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a list of parameters </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parameters</td><td>Parameters</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized parameters string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a51eae5a3df3aa325cda85733475f687e">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="aa9e620caec530dd44d4329972862775a" name="aa9e620caec530dd44d4329972862775a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9e620caec530dd44d4329972862775a">&#9670;&nbsp;</a></span>PropertyCommentToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.Python.PythonSerializer.PropertyCommentToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a>&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indentDepth</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a property comment </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>Property</td></tr>
    <tr><td class="paramname">indentDepth</td><td>Indentation depth to use in serialization</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized property comment string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#ac3654f10c0aa0984d4938469fc6da2a7">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="af58c103e694dbfbd1f03238631b386dc" name="af58c103e694dbfbd1f03238631b386dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af58c103e694dbfbd1f03238631b386dc">&#9670;&nbsp;</a></span>PropertyToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.Python.PythonSerializer.PropertyToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html">Property</a>&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>indentDepth</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a property </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>Property</td></tr>
    <tr><td class="paramname">indentDepth</td><td>Indentation depth to use in serialization</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized property string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#ac273cc23dbbcf944493ed0c12d0d3418">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<a id="a68f4b366b736d82339488e9b380f7998" name="a68f4b366b736d82339488e9b380f7998"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68f4b366b736d82339488e9b380f7998">&#9670;&nbsp;</a></span>RootToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string xAPI_Definitions_Parser.Code.Python.PythonSerializer.RootToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html">Root</a>&#160;</td>
          <td class="paramname"><em>root</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Serializes a root </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">root</td><td>Root</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Serialized root string</dd></dl>

<p>Implements <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#a5a701763ecf1f76561e743fda91cc718">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a>.</p>

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a8e5d796f3964441fa3d572d724815cc9" name="a8e5d796f3964441fa3d572d724815cc9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e5d796f3964441fa3d572d724815cc9">&#9670;&nbsp;</a></span>Modifiers</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override IDictionary&lt;<a class="el" href="namespacex_a_p_i___definitions___parser.html#a7304fe36f516e10a19758f58fa541433">Modifier</a>, string&gt; xAPI_Definitions_Parser.Code.Python.PythonSerializer.Modifiers</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>xAPI Definitions Parser/Code/Python/<a class="el" href="_python_serializer_8cs.html">PythonSerializer.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
